Forum > Free Pascal

FPC 3.0.0 RC2 Released!

<< < (4/4)

valdir.marcos:

--- Quote from: marcov on November 20, 2015, 05:26:15 pm ---
--- Quote from: valdir.marcos on November 20, 2015, 05:12:42 pm ---Was FPC 3.0.0 tagged as final on 2015-11-12?

--- End quote ---

3.0.0 is tagged, and release should be near, very near.

--- End quote ---

After FPC 3.0.0 is released, Lazarus 1.4.6 + FPC 2.6.4 should be the last one of the Lazarus 1.4.x series?

zeljko:
Yes

Bitbeisser:

--- Quote from: arneolav on January 17, 2016, 06:16:49 pm ---DateUtils LocalTimeToUniversal and UniversalTimeToLocal
FPC issue fixed in r31356 (FPC trunk).

Still problem in RC2, Hope you can merge it into 3.0 branch.

--- End quote ---
3.0 final was release on November 25th, 2015, why are you still posting abut RC2 issues?  :-\

Ralf

lazer:
While I can see a lot of reasons for limiting the number of variable conditions for working on trunk, this seems to be persistent beyond trunk.

Fedora 26 is currently distributing 3.0.2  that was announced as a "point release", whatever that term signifies.

I wish to install cross compiler capability for Lazarus and it would seem that the first step of that is to get a ccx set up for fpc.

It seems that I can not build trunk with the distro 3.0.2 , so I pulled 3.0.2 but that won't build with the distro fpc :


--- Code: Pascal  [+][-]window.onload = function(){var x1 = document.getElementById("main_content_section"); if (x1) { var x = document.getElementsByClassName("geshi");for (var i = 0; i < x.length; i++) { x[i].style.maxHeight='none'; x[i].style.height = Math.min(x[i].clientHeight+15,306)+'px'; x[i].style.resize = "vertical";}};} ---make all install FPC=/usr/bin/fpc OPT=-gl INSTALL_PREFIX=~Makefile:2789: *** The only supported starting compiler version is 3.0.0. You are trying to build with 3.0.2..  Stop.
Having multiple versions and builds all floating around with their various library builds is key problem in synchronising everything and ensuring the right libs are used in each case.

All this jiving around with different versions and build requirements is making my head spin.

What versions of can I build with the distro 3.0.2 ,  or  do I have to try to install an earlier prebuilt pkg and ignore the distro altogether.

thx


marcov:

--- Quote from: lazer on October 06, 2017, 10:10:50 am ---While I can see a lot of reasons for limiting the number of variable conditions for working on trunk, this seems to be persistent beyond trunk.

Fedora 26 is currently distributing 3.0.2  that was announced as a "point release", whatever that term signifies.

--- End quote ---

A release that only changes after the (last) point. IOW, not a major release. Only the last release is guaranteed to build trunk, but in practice the last two releases are allowed. So 3.0.2 and 3.0.0 should be able to build trunk, and all releases should be able to build themselves.

So something seems messed or mixed up here. Either your sources are to old (check compiler/version.pas in doubt), or fedora ones are too heavily modified (which is strange, usually debian sources are more heavily patched than fedora)

Navigation

[0] Message Index

[*] Previous page

Go to full version